com.google.gwt.dom.builder.shared

## Interface QuoteBuilder

All Superinterfaces:
  ElementBuilderBase<QuoteBuilder>

All Known Implementing Classes:
  DomQuoteBuilder, HtmlQuoteBuilder

    public interface QuoteBuilder
    extends ElementBuilderBase<QuoteBuilder>

Builds an quote element.

### Method Summary

All Methods Instance Methods Abstract Methods
`QuoteBuilder` `cite(SafeUri cite)` A URI designating a source document or message.
`QuoteBuilder` `cite(java.lang.String cite)` A URI designating a source document or message.

### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

### Method Detail

#### cite

    QuoteBuilder cite(SafeUri cite)

A URI designating a source document or message.

See Also:
  W3C HTML Specification

#### cite

    QuoteBuilder cite(java.lang.String cite)

A URI designating a source document or message.

See Also:
  W3C HTML Specification